
-------------------------------------------------------------------------------
-- Optimization
-------------------------------------------------------------------------------

-- GLOBALS: ExpansionLandingPageMinimapButton

-------------------------------------------------------------------------------
-- Namespace
-------------------------------------------------------------------------------

local A, B, C, D = unpack(SixUI) -- AddOn, Border, Constants, Database
local M = A:NewModule("Display GarrisonReport")
local O = LibStub("LibDataBroker-1.1"):NewDataObject("SixUI Garrison Report", {
	type = "launcher",
	text = "",
	label = GARRISON_LANDING_PAGE_TITLE,
	glyph = C.Enum.Glyph.Receipt,
	visible = false,
})

-------------------------------------------------------------------------------
-- Module
-------------------------------------------------------------------------------

function M:OnEnable()
	self:RegisterEvent("GARRISON_HIDE_LANDING_PAGE")
	self:RegisterEvent("GARRISON_SHOW_LANDING_PAGE")
end

function M:GARRISON_HIDE_LANDING_PAGE()
	O.visible = false
end

function M:GARRISON_SHOW_LANDING_PAGE()
	O.label = ExpansionLandingPageMinimapButton.title
	O.visible = true
end

-------------------------------------------------------------------------------
-- DataObject
-------------------------------------------------------------------------------

function O.OnClick(frame, button)
	ExpansionLandingPageMinimapButton:Click()
end

function O.OnTooltipShow(tooltip)
	tooltip:AddLine(O.label)
end
